Bug 696278 - The system network services are not compatible with this version.
The system network services are not compatible with this version.
Status: CLOSED DUPLICATE of bug 678553
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
15
other Linux
unspecified Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F15Blocker/F15FinalBlocker
  Show dependency treegraph
 
Reported: 2011-04-13 14:26 EDT by R.M. van der Spek
Modified: 2011-06-13 16:20 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-06 13:10:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
yum.log (110.50 KB, text/plain)
2011-05-02 18:22 EDT, R.M. van der Spek
no flags Details
upgrade.log (5.45 KB, text/plain)
2011-05-02 18:22 EDT, R.M. van der Spek
no flags Details
As requested (10.91 KB, text/plain)
2011-05-02 20:57 EDT, dherault
no flags Details
install.log (63.16 KB, text/plain)
2011-05-02 20:59 EDT, dherault
no flags Details
upgrade.log (36 bytes, text/plain)
2011-05-02 20:59 EDT, dherault
no flags Details
Upgrade.log (65.15 KB, text/plain)
2011-05-04 17:04 EDT, Jan Vlug
no flags Details

  None (edit)
Description R.M. van der Spek 2011-04-13 14:26:23 EDT
Description of problem: Since installing Fedora 15 the network/internet is not working. No wireless connections are shown, and cable-connection does not work either. This used to work fine in Fedora 12 to 14 (which I used previously). 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Open Network Management
2.
3.
  
Actual results: "The system network services are not compatible with this version." and no internet connection available.


Expected results: Possible internet connection


Additional info: Hardware: Atheros AR5B95 Wireless Network Adapter, Atheros AR8132 PCI-E Fast Ethernet Controller (NDIS 6.20) in a Packard Bell Dot S netbook.
Comment 1 R.M. van der Spek 2011-04-14 03:06:54 EDT
Perhaps this bug has something to do with an other bug (kernel missing): https://bugzilla.redhat.com/show_bug.cgi?id=696492
Comment 2 dherault 2011-04-15 15:51:54 EDT
Also same here too. With a preupgrade update. Network manager don't boot and same error.
At every startup for correct that i need to open terminal and do :
# NetworkManager .

After i'll fun fine. But it's a bug.
Comment 3 R.M. van der Spek 2011-04-16 00:48:56 EDT
Thanks dherault. This did the trick. Still don't know why it doesn't work on startup though.
Comment 4 R.M. van der Spek 2011-04-16 00:54:05 EDT
My network works, but it still seems to be unstable. I loose connection every few minutes. Even though my network is running smoothly on Windows7.

"Error 137 (net::ERR_NAME_RESOLUTION_FAILED): Unknown error." Google Chrome
Comment 5 Jirka Klimes 2011-04-20 03:00:47 EDT
NetworkManager should be run at system startup. Please check your system is up-to-date.
Please post your /var/log/messages so that we can see what's going on.

You can check if NetworkManager service is enabled by command:
systemctl is-enabled NetworkManager.service && echo yes

To enable it use:
systemctl enable NetworkManager.service

(In reply to comment #4)
> My network works, but it still seems to be unstable. I loose connection every
> few minutes. Even though my network is running smoothly on Windows7.
>
> "Error 137 (net::ERR_NAME_RESOLUTION_FAILED): Unknown error." Google Chrome
Do you see any errors in dmesg output?
Comment 6 R.M. van der Spek 2011-04-20 15:48:37 EDT
[quote][rmvanderspek@laptop2 ~]$ systemctl is-enabled NetworkManager.service && echo yes
[rmvanderspek@laptop2 ~]$ 
[/quote]


"/var/log/messages" is empty...
Comment 7 R.M. van der Spek 2011-04-20 15:52:08 EDT
however I have several messages-[date] files. The first one: 

[quote]Mar 20 18:08:03 laptop2 kernel: imklog 4.4.2, log source = /proc/kmsg started.
Mar 20 18:08:03 laptop2 rsyslogd: [origin software="rsyslogd" swVersion="4.4.2" x-pid="958" x-info="http://www.rsyslog.com"] (re)start
Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> sleep requested (sleeping: no  enabled: yes)
Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> sleeping or disabling...
Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (eth0): now unmanaged
Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (eth0): device state change: 2 -> 1 (reason 37)
Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (eth0): cleaning up...
Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (eth0): taking down device.
Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (wlan0): now unmanaged
Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (wlan0): device state change: 8 -> 1 (reason 37)
Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (wlan0): deactivating device (reason: 37).
Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (wlan0): canceled DHCP transaction, DHCP client pid 3287
Mar 20 18:29:12 laptop2 NetworkManager[1026]: <info> Updating /etc/hosts with new system hostname
Mar 20 18:29:12 laptop2 NetworkManager[1026]: <info> (wlan0): cleaning up...
Mar 20 18:29:12 laptop2 NetworkManager[1026]: <info> (wlan0): taking down device.
Type  :quit<Enter>  to exit Vim
[/quit]

Most recent one:

[quote]Apr 10 12:33:09 laptop2 rsyslogd: [origin software="rsyslogd" swVersion="4.6.3" x-pid="945" x-info="http://www.rsyslog.com"] rsyslogd was HUPed, type 'lightweight'.
Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> sleep requested (sleeping: no  enabled: yes)
Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> sleeping or disabling...
Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (eth0): now unmanaged
Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (eth0): device state change: 2 -> 1 (reason 37)
Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (eth0): cleaning up...
Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (eth0): taking down device.
Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (wlan0): now unmanaged
Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (wlan0): device state change: 8 -> 1 (reason 37)
Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (wlan0): deactivating device (reason: 37).
Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (wlan0): canceled DHCP transaction, DHCP client pid 3038
Apr 10 12:39:14 laptop2 avahi-daemon[1049]: Withdrawing address record for 192.168.0.100 on wlan0.
Apr 10 12:39:14 laptop2 avahi-daemon[1049]: Leaving mDNS multicast group on interface wlan0.IPv4 with address 192.168.0.100.
@                                                                               
"/var/log/messages-20110417" 5819L, 550160C
[/quote]
Comment 8 dherault 2011-04-20 17:48:16 EDT
Same here. /var/log/messages is empty. 

And messages -date- , was not empty but it was before the preupgrade... 

No logs :(. 

And always the same issue with network manager. Need to launch manually , but after it's stable here. 

I think that NetworkManager was launched at every startup ... He tried , but a bad network manager , or something like that...
Comment 9 dherault 2011-04-20 17:49:07 EDT
Also , NetworkManager was updated by update-testing but same ...
Comment 10 R.M. van der Spek 2011-04-21 03:33:50 EDT
[quote]To enable it use:
systemctl enable NetworkManager.service[/quote]

I have used this command. After restart NetworkManager is opened and the little icon in top right is saying I do have a good wireless connection. However, I can't load any webpage (or do yum update or what so ever). After disabling and restarting and starting NetworkManager manually it does work again.
Comment 11 Adam Williamson 2011-04-21 13:37:20 EDT
Can you please boot up, note the time, wait a while, then do what you need to do the fix the bug, then attach /var/log/messages and note the time at which you booted to the broken state, and the time at which you did the fix? thanks.
Comment 12 R.M. van der Spek 2011-04-22 07:39:05 EDT
Not sure I understand what you want me to do Adam. Should I:

- Enable NetworkManager.service
- Reboot
- Disable NetworkManager.service
- Reboot
- Start Networkmanager
- Copy-paste /var/log/messages 

?

Anyhow, here is an error-message from SELinux, I think it is about the same bug:

[quote]SELinux is preventing /sbin/dhclient from read access on the file nm-dhclient-wlan0.conf.

*****  Plugin restorecon (99.5 confidence) suggests  *************************

If you want to fix the label. 
nm-dhclient-wlan0.conf default label should be NetworkManager_var_run_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v nm-dhclient-wlan0.conf

*****  Plugin catchall (1.49 confidence) suggests  ***************************

If you believe that dhclient should be allowed read access on the nm-dhclient-wlan0.conf file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep dhclient /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:var_run_t:s0
Target Objects                nm-dhclient-wlan0.conf [ file ]
Source                        dhclient
Source Path                   /sbin/dhclient
Port                          <Unknown>
Host                          laptop2
Source RPM Packages           dhclient-4.2.1-4.P1.fc15
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-13.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     laptop2
Platform                      Linux laptop2 2.6.38.2-9.fc15.i686 #1 SMP Wed Mar
                              30 16:54:01 UTC 2011 i686 i686
Alert Count                   52
First Seen                    Sat 16 Apr 2011 06:28:58 AM CEST
Last Seen                     Fri 22 Apr 2011 01:33:16 PM CEST
Local ID                      a5b4f382-db59-4da4-9bd2-1f674e622a12

Raw Audit Messages
type=AVC msg=audit(1303471996.447:58): avc:  denied  { read } for  pid=2113 comm="dhclient" name="nm-dhclient-wlan0.conf" dev=tmpfs ino=40636 scontext=unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1303471996.447:58): arch=i386 syscall=open success=no exit=EACCES a0=bfa09912 a1=80000 a2=1c a3=e6fe5c items=0 ppid=1512 pid=2113 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm=dhclient exe=/sbin/dhclient subj=unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023 key=(null)

Hash: dhclient,dhcpc_t,var_run_t,file,read

audit2allow

#============= dhcpc_t ==============
allow dhcpc_t var_run_t:file read;

audit2allow -R

#============= dhcpc_t ==============
allow dhcpc_t var_run_t:file read;
[/quote]
Comment 13 R.M. van der Spek 2011-04-22 07:46:47 EDT
And an other message:

[quote]SELinux is preventing NetworkManager from unlink access on the file /etc/resolv.conf.

*****  Plugin restorecon (94.8 confidence) suggests  *************************

If you want to fix the label. 
/etc/resolv.conf default label should be net_conf_t.
Then you can run restorecon.
Do
# /sbin/restorecon -v /etc/resolv.conf

*****  Plugin catchall_labels (5.21 confidence) suggests  ********************

If you want to allow NetworkManager to have unlink access on the resolv.conf file
Then you need to change the label on /etc/resolv.conf
Do
# semanage fcontext -a -t FILE_TYPE '/etc/resolv.conf'
where FILE_TYPE is one of the following: named_cache_t, NetworkManager_tmp_t, NetworkManager_etc_rw_t, NetworkManager_log_t, dhcpc_state_t, NetworkManager_var_lib_t, NetworkManager_var_run_t, dhcpc_var_run_t, net_conf_t, pppd_var_run_t, dnsmasq_var_run_t, root_t. 
Then execute: 
restorecon -v '/etc/resolv.conf'


*****  Plugin catchall (1.44 confidence) suggests  ***************************

If you believe that NetworkManager should be allowed unlink access on the resolv.conf file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep NetworkManager /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                unconfined_u:object_r:etc_t:s0
Target Objects                /etc/resolv.conf [ file ]
Source                        NetworkManager
Source Path                   NetworkManager
Port                          <Unknown>
Host                          laptop2
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.16-13.fc15
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     laptop2
Platform                      Linux laptop2 2.6.38.2-9.fc15.i686 #1 SMP Wed Mar
                              30 16:54:01 UTC 2011 i686 i686
Alert Count                   3
First Seen                    Thu 21 Apr 2011 09:00:45 AM CEST
Last Seen                     Thu 21 Apr 2011 09:16:01 AM CEST
Local ID                      1cce923a-9c77-4c72-8215-0e6739b28fc3

Raw Audit Messages
type=AVC msg=audit(1303370161.697:65): avc:  denied  { unlink } for  pid=653 comm="NetworkManager" name="resolv.conf" dev=sda5 ino=1939 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=unconfined_u:object_r:etc_t:s0 tclass=file


Hash: NetworkManager,NetworkManager_t,etc_t,file,unlink

audit2allow

#============= NetworkManager_t ==============
allow NetworkManager_t etc_t:file unlink;

audit2allow -R

#============= NetworkManager_t ==============
allow NetworkManager_t etc_t:file unlink;[/quote]
Comment 14 Adam Williamson 2011-04-22 11:21:34 EDT
r.m.: er, no. as I understand it, when you boot up, NM tries to bring the wired connection up but can't manage it, but if you then manually restart the service, it works, yes?

I wanted you to boot up (so it's 'broken'), wait for a while (just so the logs will be clear), then restart the service (so it's 'fixed'), and then post /var/log/messages from that boot.

The SELinux denials look interesting, though. What happens if you boot with parameter enforcing=0 ?
Comment 15 R.M. van der Spek 2011-04-23 07:58:51 EDT
I booted with parameter enforcing=0. NetworkManager did still not run automatically. I started it manually and recieved the same two error-messages I have posted before.

After starting, I waited for 5 minutes. /var/log/messages was still empty. I started NetworkManager manually and /var/log/messages was still empty.
Comment 16 dherault 2011-04-23 08:34:32 EDT
In my side , i have the same bug with "selinux=0" in grub. Because with selinux on , i have a lot of fail and can't boot. 

But i have not in /var/log/messages... and same bug to the networkmanage.

Same ;)
Comment 17 Adam Williamson 2011-04-23 10:57:55 EDT
dherault: if you can't boot with selinux turned on, you have worse problems, something is clearly wrong with your system.

r.m.: /var/log/messages being empty should never happen. What does 'systemctl status rsyslog.service' say?
Comment 18 R.M. van der Spek 2011-04-24 01:56:21 EDT
[rmvanderspek@laptop2 ~]$ sudo systemctl status rsyslog.service
rsyslog.service - System Logging Service
	  Loaded: loaded (/lib/systemd/system/rsyslog.service)
	  Active: inactive (dead)
	  CGroup: name=systemd:/system/rsyslog.service
Comment 19 dherault 2011-04-24 09:52:00 EDT
From the update of yesterday , Selinux run fine.

Always same issue for NetworkManager. Don't run at boot. Need to do #NetworkManager. And nothing in /var/log/messages

For the systemctl status rsyslog.service : 
Same as R.M van der Spek.
Comment 20 dherault 2011-04-24 10:04:28 EDT
If i do 
systemctl start rsyslog.service it works.

But after reboot , same : Inactive (dead). Don't know why he don't launch at boot...

And same for network manager. But i think , thanks to the systemctl start rsyslog.service, i have very interesting logs now ! With the NetworkManager launch fail , and after the manual launch. 


    Apr 24 16:00:20 localhost kernel: [ 54.229570] dbus[896]: [system] Activating via systemd service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
    Apr 24 16:00:20 localhost kernel: [ 54.229827] dbus[896]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.NetworkManager.service': Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
    Apr 24 16:00:20 localhost kernel: [ 54.301519] dbus[896]: [system] Activating via systemd service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
    Apr 24 16:00:20 localhost kernel: [ 54.301691] dbus[896]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.NetworkManager.service': Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
    Apr 24 16:00:20 localhost kernel: [ 55.436581] dbus[896]: [system] Service 'org.freedesktop.ConsoleKit' is already active
    Apr 24 16:00:20 localhost kernel: [ 55.443837] dbus[896]: [system] Service 'org.freedesktop.ConsoleKit' is already active
    Apr 24 16:00:20 localhost kernel: [ 55.445574] dbus[896]: [system] Service 'org.freedesktop.UDisks' is already active
    Apr 24 16:00:20 localhost kernel: [ 56.330680] dbus[896]: [system] Service 'org.freedesktop.UPower' is already active
    Apr 24 16:00:20 localhost kernel: [ 57.151677] dbus[896]: [system] Activating via systemd service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
    Apr 24 16:00:20 localhost kernel: [ 57.151894] dbus[896]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.NetworkManager.service': Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
    Apr 24 16:00:20 localhost kernel: [ 61.907794] dbus[896]: [system] Service 'org.freedesktop.PolicyKit1' is already active
    Apr 24 16:00:20 localhost kernel: [ 61.921780] polkitd(authority=local)[1094]: Registered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session2 (system bus name :1.60 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale fr_FR.UTF-8)
    Apr 24 16:00:20 localhost kernel: [ 62.014267] dbus[896]: [system] Activating via systemd service name='org.bluez' unit='dbus-org.bluez.service'
    Apr 24 16:00:20 localhost kernel: [ 62.014462] dbus[896]: [system] Activation via systemd failed for unit 'dbus-org.bluez.service': Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
    Apr 24 16:00:20 localhost kernel: [ 62.014600] dbus[896]: [system] Activating via systemd service name='org.bluez' unit='dbus-org.bluez.service'
    Apr 24 16:00:20 localhost kernel: [ 62.014811] dbus[896]: [system] Activation via systemd failed for unit 'dbus-org.bluez.service': Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
    Apr 24 16:00:20 localhost kernel: [ 62.025013] dbus[896]: [system] Activating via systemd service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
    Apr 24 16:00:20 localhost kernel: [ 62.025345] dbus[896]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.NetworkManager.service': Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
    Apr 24 16:00:20 localhost kernel: [ 62.036255] dbus[896]: [system] Activating via systemd service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
    Apr 24 16:00:20 localhost kernel: [ 62.036572] dbus[896]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.NetworkManager.service': Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
    Apr 24 16:00:20 localhost kernel: [ 62.349668] dbus[896]: [system] Activating via systemd service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
    Apr 24 16:00:20 localhost kernel: [ 62.349999] dbus[896]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.NetworkManager.service': Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
    Apr 24 16:00:20 localhost kernel: [ 62.524320] dbus[896]: [system] Activating via systemd service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
    Apr 24 16:00:20 localhost kernel: [ 62.524335] dbus[896]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.NetworkManager.service': Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
    Apr 24 16:00:20 localhost kernel: [ 62.525490] dbus[896]: [system] Activating via systemd service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
    Apr 24 16:00:20 localhost kernel: [ 62.525954] dbus[896]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.NetworkManager.service': Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
    Apr 24 16:00:20 localhost kernel: [ 63.409344] dbus[896]: [system] Activating via systemd service name='org.freedesktop.NetworkManager' unit='dbus-org.freedesktop.NetworkManager.service'
    Apr 24 16:00:20 localhost kernel: [ 63.409701] dbus[896]: [system] Activation via systemd failed for unit 'dbus-org.freedesktop.NetworkManager.service': Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
     
     
     
    Apr 24 16:00:20 localhost kernel: [ 69.694645] su[1973]: pam_unix(su:session): session opened for user root by foxvengeor(uid=500)
     
    Apr 24 16:01:43 localhost NetworkManager[2040]: <info> NetworkManager (version 0.8.998-3.git20110419.fc15) is starting...
    Apr 24 16:01:43 localhost NetworkManager[2040]: <info> Read config file /etc/NetworkManager/NetworkManager.conf
    Apr 24 16:01:43 localhost NetworkManager[2040]: <info> VPN: loaded org.freedesktop.NetworkManager.vpnc
    Apr 24 16:01:43 localhost NetworkManager[2040]: <info> VPN: loaded org.freedesktop.NetworkManager.openvpn
    Apr 24 16:01:43 localhost NetworkManager[2040]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
    Apr 24 16:01:43 localhost NetworkManager[2040]: <info> VPN: loaded org.freedesktop.NetworkManager.openconnect
    Apr 24 16:01:43 localhost dbus: [system] Service 'org.freedesktop.PolicyKit1' is already active
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: Acquired D-Bus service com.redhat.ifcfgrh1
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> Loaded plugin ifcfg-rh: (c) 2007 - 2010 Red Hat, Inc. To report bugs please use the NetworkManager mailing list.
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> Loaded plugin keyfile: (c) 2007 - 2010 Red Hat, Inc. To report bugs please use the NetworkManager mailing list.
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-Auto_NUMERICABLE-F628 ...
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: read connection 'Auto NUMERICABLE-F628'
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-lo ...
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-Auto_univ-nantes ...
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: read connection 'Auto univ-nantes'
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-Auto_NUMERICABLE-BC1D ...
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: read connection 'Auto NUMERICABLE-BC1D'
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-eth0 ...
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: read connection 'System eth0'
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-wlan0 ...
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: read connection 'System SFR WiFi Public (wlan0)'
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-Auto_Neuf_WiFi ...
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: read connection 'Auto Neuf WiFi'
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-Auto_LT15i ...
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: read connection 'Auto LT15i'
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-Auto_RESIDENTS ...
    Apr 24 16:01:44 localhost NetworkManager[2040]: ifcfg-rh: read connection 'Auto RESIDENTS'
    Apr 24 16:01:44 localhost NetworkManager[2040]: keyfile: parsing client ...
    Apr 24 16:01:44 localhost NetworkManager[2040]: keyfile: read connection 'client'
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> trying to start the modem manager...
    Apr 24 16:01:44 localhost dbus: [system] Activating service name='org.freedesktop.ModemManager' argv0='/lib64/dbus-1/dbus-daemon-launch-helper'
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> monitoring kernel firmware directory '/lib/firmware'.
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> found WiFi radio killswitch rfkill1 (at /sys/devices/pci0000:00/0000:00:1c.0/0000:02:00.0/ieee80211/phy0/rfkill1) (driver <unknown>)
    Apr 24 16:01:44 localhost dbus: [system] Activating via systemd service name='org.bluez' unit='dbus-org.bluez.service'
    Apr 24 16:01:44 localhost dbus: [system] Activation via systemd failed for unit 'dbus-org.bluez.service': Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> ModemManager (version 0.4-7.git20110201.fc15) starting...
    Apr 24 16:01:44 localhost dbus: [system] Successfully activated service 'org.freedesktop.ModemManager'
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> WiFi enabled by radio killswitch; disabled by state file
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> WWAN enabled by radio killswitch; enabled by state file
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> WiMAX enabled by radio killswitch; enabled by state file
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> Networking is enabled by state file
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin X22X
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin Sierra
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin Option High-Speed
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin Generic
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin AnyData
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin SimTech
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin Gobi
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin MotoC
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin Ericsson MBM
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin Option
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin Huawei
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin Novatel
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin Linktop
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (wlan0): driver supports SSID scans (scan_capa 0x01).
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (wlan0): new 802.11 WiFi device (driver: 'iwlagn' ifindex: 3)
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (wlan0): exported as /org/freedesktop/NetworkManager/Devices/0
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (wlan0): now managed
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (wlan0): device state change: 10 -> 20 (reason 2)
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (wlan0): bringing up device.
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (wlan0): deactivating device (reason: 2).
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (eth0): carrier is OFF
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (eth0): new Ethernet device (driver: 'atl1c' ifindex: 2)
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (eth0): exported as /org/freedesktop/NetworkManager/Devices/1
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin Longcheer
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin Nokia
    Apr 24 16:01:44 localhost modem-manager[2043]: <info> Loaded plugin ZTE
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (eth0): now managed
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (eth0): device state change: 10 -> 20 (reason 2)
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (eth0): bringing up device.
    Apr 24 16:01:44 localhost kernel: [ 162.616813] ADDRCONF(NETDEV_UP): eth0: link is not ready
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (eth0): preparing device.
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> (eth0): deactivating device (reason: 2).
    Apr 24 16:01:44 localhost NetworkManager[2040]: <warn> /sys/devices/virtual/net/lo: couldn't determine device driver; ignoring...
    Apr 24 16:01:44 localhost NetworkManager[2040]: <warn> bluez error getting default adapter: Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status' for details.
    Apr 24 16:01:44 localhost NetworkManager[2040]: <info> modem-manager is now available
Comment 21 Adam Williamson 2011-04-29 13:35:37 EDT
Discussed at 2011-04-29 blocker review meeting. To be honest, to us it looks like both systems have severely messed up configurations and we're not sure why; it doesn't appear to be a general issue affecting others. Could we ask you both to try re-installing clean, from Fedora 15 Beta images (or a nightly image, or the boot.iso recently posted to the test mailing list), and see if it works then? There just seem too many things wrong with both configurations to be able to cleanly debug this. There's no reason the system log service should ever be disabled, for instance.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 22 Adam Williamson 2011-04-29 13:41:56 EDT
Or, if you caused this initially by upgrading rather than installing, can you give us more information on what release you upgraded from and exactly how you upgraded? Thanks.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 23 dherault 2011-04-29 15:19:36 EDT
Upgrade with preupgrade from FC14.

#preupgrade ;). 

Multiboot configuration
Comment 24 R.M. van der Spek 2011-05-01 05:22:33 EDT
Same here. Updgrade with preupgrade from F14.
Comment 25 James Laska 2011-05-02 10:53:24 EDT
(In reply to comment #24)
> Same here. Updgrade with preupgrade from F14.

Can you both please attach 3 files from the systems affected by this bug?  These files may help understand the old and new versions of NM involved.  The files are ...
 1. /root/install.log (should reflect your original F14, or newer, install)
 2. /root/upgrade.log (should show the version of NM upgraded to)
 3. /var/log/yum.log (will provide any more interim NM updates before and after upgrade)
Comment 26 marian 2011-05-02 14:42:57 EDT
Try to run ifconfig if you see interfaces.
Comment 27 R.M. van der Spek 2011-05-02 18:22:09 EDT
Created attachment 496395 [details]
yum.log

As requested the yum.log
Comment 28 R.M. van der Spek 2011-05-02 18:22:50 EDT
Created attachment 496396 [details]
upgrade.log

Upgrade.log as requested.
Comment 29 R.M. van der Spek 2011-05-02 18:24:54 EDT
@James Laska --> there is no /root/install.log though the other two have been attached (as you may have seen).

@Marian --> What exactly do you mean?
Comment 30 marian 2011-05-02 18:49:35 EDT
(In reply to comment #7)
> however I have several messages-[date] files. The first one: 
> 
> [quote]Mar 20 18:08:03 laptop2 kernel: imklog 4.4.2, log source = /proc/kmsg
> started.
> Mar 20 18:08:03 laptop2 rsyslogd: [origin software="rsyslogd" swVersion="4.4.2"
> x-pid="958" x-info="http://www.rsyslog.com"] (re)start
> Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> sleep requested (sleeping:
> no  enabled: yes)
> Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> sleeping or disabling...
> Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (eth0): now unmanaged
> Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (eth0): device state
> change: 2 -> 1 (reason 37)
> Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (eth0): cleaning up...
> Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (eth0): taking down
> device.
> Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (wlan0): now unmanaged
> Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (wlan0): device state
> change: 8 -> 1 (reason 37)
> Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (wlan0): deactivating
> device (reason: 37).
> Mar 20 18:29:11 laptop2 NetworkManager[1026]: <info> (wlan0): canceled DHCP
> transaction, DHCP client pid 3287
> Mar 20 18:29:12 laptop2 NetworkManager[1026]: <info> Updating /etc/hosts with
> new system hostname
> Mar 20 18:29:12 laptop2 NetworkManager[1026]: <info> (wlan0): cleaning up...
> Mar 20 18:29:12 laptop2 NetworkManager[1026]: <info> (wlan0): taking down
> device.
> Type  :quit<Enter>  to exit Vim
> [/quit]
> 
> Most recent one:
> 
> [quote]Apr 10 12:33:09 laptop2 rsyslogd: [origin software="rsyslogd"
> swVersion="4.6.3" x-pid="945" x-info="http://www.rsyslog.com"] rsyslogd was
> HUPed, type 'lightweight'.
> Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> sleep requested (sleeping:
> no  enabled: yes)
> Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> sleeping or disabling...
> Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (eth0): now unmanaged
> Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (eth0): device state
> change: 2 -> 1 (reason 37)
> Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (eth0): cleaning up...
> Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (eth0): taking down
> device.
> Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (wlan0): now unmanaged
> Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (wlan0): device state
> change: 8 -> 1 (reason 37)
> Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (wlan0): deactivating
> device (reason: 37).
> Apr 10 12:39:14 laptop2 NetworkManager[1031]: <info> (wlan0): canceled DHCP
> transaction, DHCP client pid 3038
> Apr 10 12:39:14 laptop2 avahi-daemon[1049]: Withdrawing address record for
> 192.168.0.100 on wlan0.
> Apr 10 12:39:14 laptop2 avahi-daemon[1049]: Leaving mDNS multicast group on
> interface wlan0.IPv4 with address 192.168.0.100.
> @                                                                               
> "/var/log/messages-20110417" 5819L, 550160C
> [/quote]
On this log sistems posible to resume off sleep state.Try to use red button "Shut down"
On my system suspend to ram generate with litle difference same result.
Comment 31 dherault 2011-05-02 20:57:36 EDT
Created attachment 496412 [details]
As requested
Comment 32 dherault 2011-05-02 20:59:02 EDT
Created attachment 496413 [details]
install.log

As requested
Comment 33 dherault 2011-05-02 20:59:29 EDT
Created attachment 496414 [details]
upgrade.log

as requested
Comment 34 dherault 2011-05-02 21:02:23 EDT
Also for the yum.log here : http://fpaste.org/wYtk/

I have the three files in my side.
Comment 35 dherault 2011-05-02 21:05:09 EDT
Nothing in ifconfig before the manual launch of NetworkManager. No issue after the manual launch , but need to do that at every startup at root :(...
Comment 36 Jan Vlug 2011-05-03 02:00:38 EDT
I'm confirming this bug as well. I also upgraded from fedora 14 using preupgrade.
Also the NetworkManager service is not starting by default.
I have to do this as root after every fresh boot.
Comment 37 James Laska 2011-05-03 14:17:58 EDT
(In reply to comment #30)
> On this log sistems posible to resume off sleep state.Try to use red button
> "Shut down"
> On my system suspend to ram generate with litle difference same result.

Let's keep this issue specific to the problem be reported.  We can move discussion of other issues/concerns to new bug reports, or to test@lists.fedoraproject.org
Comment 38 James Laska 2011-05-03 14:31:11 EDT
(In reply to comment #33)
> Created attachment 496414 [details]
> upgrade.log
> 
> as requested

There are several problems being reported in this single bugzilla.  I will start with the original issue of NM not being enabled after upgrade.

This upgrade.log shows that you are upgrading to a known older (and broken) NetworkManager package (0.8.997-4.git20110325).  There is a bug (bug#678553) that resulted in NetworkManager not being enabled after F14->F15 upgrade.  As long as you are upgrading to NetworkManager-0.8.997-6.git20110328 (or newer) ... you should not have this problem.  However, if you already upgraded to NetworkManager...20110325, you will need to *manually* enable NetworkManager

   # systemctl enable NetworkManager.service

Anyone who experienced NetworkManager not being enabled by default after F14->F15 preupgrade, please check what version of NetworkManager was used during upgrade:

 1. If it is NetworkManager-0.8.997-4.git20110325 or older ... you've hit bug#678553 and are using an old (out of date) mirror
 2. If it is NetworkManager-0.8.997-6.git20110328 (or newer), we may have a new issue.

(In reply to comment #33)
> Created attachment 496414 [details]
> upgrade.log
> 
> as requested

The attached upgrade.log is empty/useless.  Are you sure this represents an unmodified /root/upgrade.log?
Comment 39 James Laska 2011-05-03 14:33:12 EDT
(In reply to comment #28)

Correction ... 
 - attachement#496396 (comment#28) is a good upgrade.log
 - attachement#496414 (comment#33) is a bad/unusable upgrade.log
Comment 40 James Laska 2011-05-04 11:59:42 EDT
If you are still seeing that NetworkManager is *not* enabled after upgrade, please be sure to attach your /root/upgrade.log to this issue.
Comment 41 Jan Vlug 2011-05-04 17:00:50 EDT
I'm using this NetworkManager:
Installed Packages
Name        : NetworkManager
Arch        : i686
Epoch       : 1
Version     : 0.8.998
Release     : 3.git20110419.fc15

But it does not start automatically.

I will attach my upgrade.log
Comment 42 Jan Vlug 2011-05-04 17:04:06 EDT
Created attachment 496928 [details]
Upgrade.log

Upgrade log of f14 -> f15, NetworkManager is not automatically being started.
Comment 43 cam 2011-05-04 17:31:30 EDT
FYI The missing /var/log/messages sounds like bug#699198
It sounds like a number of situations can result in an upgrade turning off key services...
Comment 44 James Laska 2011-05-05 08:13:25 EDT
(In reply to comment #42)
> Created attachment 496928 [details]
> Upgrade.log
> 
> Upgrade log of f14 -> f15, NetworkManager is not automatically being started.

Thank you for the log!  

> Upgrading NetworkManager-0.8.997-4.git20110325.fc15.i686

Your upgrade shows that you also had the *BAD* version of NetworkManager installed during upgrade.  Subsequent updates have installed a more recently version.  However, if the initial upgrade didn't include NetworkManager-0.8.997-6.git20110328 (or newer) ... NetworkManager may not be enabled by default after upgrade.

This issue is fixed if your upgrade includes NetworkManager-0.8.997-6.git20110328 (or newer).

If you have already upgraded your system with the older (known broken) NetworkManager, and NetworkManager is not enabled, you will need to manually enable the service

 # systemctl enable NetworkManager
Comment 45 James Laska 2011-05-05 08:15:30 EDT
Unless new reports surface that show the *GOOD* version of NetworkManager being included during upgrade, I'm inclined to close this report as a DUPLICATE of bug#678553.

As cam points out, let's track empty /var/log/messages in bug#699198.
Comment 46 James Laska 2011-05-06 09:39:29 EDT
Proposal for 2011-05-06 blocker review meeting:
 * The main failure tracked in this bug is bug#678553, I propose closing this bug as a DUPLICATE of that issue
 * Anything else needs to be tracked as a different bug (see comment#45 for rsyslogd)
Comment 47 Tim Flink 2011-05-06 13:10:22 EDT
Discussed in the 2011-05-06 blocker review meeting. Agreed that this can be closed as a duplicate of 678553.

*** This bug has been marked as a duplicate of bug 678553 ***
Comment 48 Prima Yogi Loviniltra 2011-05-31 11:08:47 EDT
I've get this solve from freenode and it WORKS

Step by Step :
1. backup your /etc/sysconfig/network-scripts/ifcfg-Auto_* to somebackuplocation
2. The run this in terminal, be a root :
$ fixfiles relabel; fixfiles onboot; mv /etc/sysconfig/network-scripts/ifcfg-Auto* <somebackuplocation>

for more complete tutorial > http://juranktech.com/2011/05/31/solve-network-connection-afer-update-daily-fedora-15/
Comment 49 Steve Kelem 2011-06-13 16:20:50 EDT
Hmmm... I have NetworkManager 0.8.9997-2.git20110531.fc15

There are  no network-scripts/ifcfg-A*
 Only ifcfg-eth0, ifcfg-lo, and ifcfg-wlan0

The fixfiles command didn't have any effect on getting my network to run. 
By the way, in my ifcfg-eth0 file, there is the line:
NM_CONTROLLED=no




(In reply to comment #38)
> (In reply to comment #33)
> > Created attachment 496414 [details]
> > upgrade.log
> > 
> > as requested
> 
> There are several problems being reported in this single bugzilla.  I will
> start with the original issue of NM not being enabled after upgrade.
> 
> This upgrade.log shows that you are upgrading to a known older (and broken)
> NetworkManager package (0.8.997-4.git20110325).  There is a bug (bug#678553)
> that resulted in NetworkManager not being enabled after F14->F15 upgrade.  As
> long as you are upgrading to NetworkManager-0.8.997-6.git20110328 (or newer)
> ... you should not have this problem.  However, if you already upgraded to
> NetworkManager...20110325, you will need to *manually* enable NetworkManager
> 
>    # systemctl enable NetworkManager.service
> 
> Anyone who experienced NetworkManager not being enabled by default after
> F14->F15 preupgrade, please check what version of NetworkManager was used
> during upgrade:
> 
>  1. If it is NetworkManager-0.8.997-4.git20110325 or older ... you've hit
> bug#678553 and are using an old (out of date) mirror
>  2. If it is NetworkManager-0.8.997-6.git20110328 (or newer), we may have a new
> issue.
> 
> (In reply to comment #33)
> > Created attachment 496414 [details]
> > upgrade.log
> > 
> > as requested
> 
> The attached upgrade.log is empty/useless.  Are you sure this represents an
> unmodified /root/upgrade.log?

Note You need to log in before you can comment on or make changes to this bug.